Bug 1306490 - [abrt] shotwell: wl_abort(): shotwell killed by SIGABRT
[abrt] shotwell: wl_abort(): shotwell killed by SIGABRT
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1f8583f011be85b7ffc613464d4...
:
Depends On:
Blocks: WaylandRelated WaylandByDefault
  Show dependency treegraph
 
Reported: 2016-02-10 20:33 EST by yucef sourani
Modified: 2016-09-12 06:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-12 06:24:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.67 KB, text/plain)
2016-02-10 20:33 EST, yucef sourani
no flags Details
File: cgroup (242 bytes, text/plain)
2016-02-10 20:34 EST, yucef sourani
no flags Details
File: core_backtrace (5.54 KB, text/plain)
2016-02-10 20:34 EST, yucef sourani
no flags Details
File: dso_list (13.54 KB, text/plain)
2016-02-10 20:34 EST, yucef sourani
no flags Details
File: environ (897 bytes, text/plain)
2016-02-10 20:34 EST, yucef sourani
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-10 20:34 EST, yucef sourani
no flags Details
File: maps (66.62 KB, text/plain)
2016-02-10 20:34 EST, yucef sourani
no flags Details
File: mountinfo (3.49 KB, text/plain)
2016-02-10 20:34 EST, yucef sourani
no flags Details
File: open_fds (1.26 KB, text/plain)
2016-02-10 20:34 EST, yucef sourani
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-02-10 20:34 EST, yucef sourani
no flags Details
File: var_log_messages (12.35 KB, text/plain)
2016-02-10 20:34 EST, yucef sourani
no flags Details

  None (edit)
Description yucef sourani 2016-02-10 20:33:51 EST
Version-Release number of selected component:
shotwell-0.23.0-0.2.20160105gitf2fb1f7.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        shotwell
crash_function: wl_abort
executable:     /usr/bin/shotwell
global_pid:     10063
kernel:         4.5.0-0.rc3.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 wl_abort at src/wayland-util.c:398
 #3 wl_proxy_marshal_array_constructor_versioned at src/wayland-client.c:646
 #4 wl_proxy_marshal_array_constructor at src/wayland-client.c:586
 #5 wl_proxy_marshal at src/wayland-client.c:683
 #6 wl_data_offer_accept at /usr/include/wayland-client-protocol.h:893
 #7 gdk_wayland_drop_context_set_status at gdkdnd-wayland.c:256
 #8 gtk_drag_dest_motion at gtkdnd.c:2041
 #9 gtk_drag_find_widget at gtkdnd.c:1716
 #10 _gtk_drag_dest_handle_event at gtkdnd.c:1473
 #11 gtk_main_do_event at gtkmain.c:1869
Comment 1 yucef sourani 2016-02-10 20:33:59 EST
Created attachment 1123042 [details]
File: backtrace
Comment 2 yucef sourani 2016-02-10 20:34:01 EST
Created attachment 1123043 [details]
File: cgroup
Comment 3 yucef sourani 2016-02-10 20:34:03 EST
Created attachment 1123044 [details]
File: core_backtrace
Comment 4 yucef sourani 2016-02-10 20:34:06 EST
Created attachment 1123045 [details]
File: dso_list
Comment 5 yucef sourani 2016-02-10 20:34:07 EST
Created attachment 1123046 [details]
File: environ
Comment 6 yucef sourani 2016-02-10 20:34:09 EST
Created attachment 1123047 [details]
File: limits
Comment 7 yucef sourani 2016-02-10 20:34:16 EST
Created attachment 1123048 [details]
File: maps
Comment 8 yucef sourani 2016-02-10 20:34:18 EST
Created attachment 1123049 [details]
File: mountinfo
Comment 9 yucef sourani 2016-02-10 20:34:23 EST
Created attachment 1123050 [details]
File: open_fds
Comment 10 yucef sourani 2016-02-10 20:34:24 EST
Created attachment 1123051 [details]
File: proc_pid_status
Comment 11 yucef sourani 2016-02-10 20:34:26 EST
Created attachment 1123052 [details]
File: var_log_messages
Comment 12 Jan Kurik 2016-02-24 09:29:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 13 Matthias Clasen 2016-09-06 15:09:24 EDT
Is anybody still seeing this with f25 alpha ?
Comment 14 yucef sourani 2016-09-08 08:43:05 EDT
no
Comment 15 Matthias Clasen 2016-09-12 06:24:51 EDT
closing it then, thanks

Note You need to log in before you can comment on or make changes to this bug.